lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yonik Seeley" <yo...@apache.org>
Subject Re: Mac OSX - error reading /usr/local/lib/libsvnjavahl-1.0.0.0.dylib
Date Mon, 14 Aug 2006 22:08:20 GMT
The older version of Jetty that we are using requires the JDK version,
not the JRE version of 'java' so it can compile JSPs via javac.  Maybe
that's be the problem?  Try typing the full path to the java
executable to verify.

-Yonik

On 8/14/06, Ross McDonald <rossajmcd@yahoo.co.uk> wrote:
> Hi all,
>
> I am trying to run Solr on OSX, after a successful installation and
> tests on Linux,
> while trying to run with JDK 1.5.0, I am getting the following
> exception...
>
> HTTP ERROR: 500
>
> Unable to compile class for JSP
>
> Generated servlet error:
> error: error reading /usr/local/lib/libsvnjavahl-1.0.0.0.dylib;
> java.util.zip.ZipException: error in opening zip file
> Note: /tmp/Jetty__8983__solr_23999/org/apache/jsp/admin/
> index_jsp.java uses unchecked or unsafe operations.
>
> I have checked /usr/local/lib and can see that
> 'libsvnjavahl-1.0.0.0.dylib' is in fact present there,
>
> I assume it is probably quite easy to fix this, or that plenty of
> people are running Solr on OSX, I would appreciate any advice on how
> to fix this up,
>
> thanks for your time,
>
> Ross McDonald

Mime
View raw message